# Keywords

Keywords are reserved words used in a programming language. They cannot be used as a programmer-defined identifier or as names for variables. Each word has fixed meaning, this meaning cannot be changed by a user. 

## American National Standards Institute \(ANSI\)-C 

Any version of C that conforms to the specifications of the American National Standards Institute committee X3J

## International Organization for Standardization \(ISO\) 

ISO is an international standard-setting organization, composed of representatives from various national standards organizations. 

The first standard for C was published by ANSI. As of march 2000, ANSI adopted the C99 standard. ANSI C is supported by most of the widely used compilers. Most C code is written based on ANSI C. 

## ANSI C \(C89\)/ISO C \(C90\)      

* auto
* break
* case
* char
* const
* continue
* default
* do
* double
* else
* enum
* extern
* float
* for
* goto
* if
* int
* long
* register
* return
* short
* signed
* sizeof
* static
* struct
* switch
* typedef
* union
* unsigned
* void
* volatile
* while

## ISO C99

* _Bool
* _Complex
* _Imaginary
* inline
* restrict
